<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>防抖测试</title>
</head>
<body>
    <button class="btn">防抖</button>
    <script>
        // // 防抖测试
        const test=(func,delay=50)=>{
            let timeout=null;
            let that=this;
            return function(...arg){
                let context=this;
                if(timeout){
                    clearTimeout(timeout);
                }
                timeout=setTimeout(()=>{
                    func.apply(context,arg);
                },delay);

            }
        }
        let btn=document.querySelector('.btn');
        btn.onclick=test((e)=>{
            console.log(11);
        },1000);

    </script>
</body>
</html>